Returns a list of vector stores.
Return a list of vector stores with pagination and filtering.
This endpoint retrieves a paginated list of vector stores for the given project. The response includes metadata about cursor positions and total count to facilitate pagination.
Needs user bearer token in authorization header.
In: header
Query Parameters
Cursor for pagination. Records after this ID will be considered.
Cursor for pagination. Records before this ID will be considered.
Number of objects to return.
201 <= value <= 100Sort order by created_at
"desc"Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Response Body
curl -X GET "https://loading/v1/vector_stores?after=5eb7cf5a86d9755df3a6c593&before=5eb7cf5a86d9755df3a6c593&limit=20&order=desc" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string"{
"object": "list",
"data": [],
"first_id": "5eb7cf5a86d9755df3a6c593",
"last_id": "5eb7cf5a86d9755df3a6c593",
"has_more": false
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.